Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZURL Class Reference

A class which handles central storage of urls. More...

Inheritance diagram for eZURL:

## Public Member Functions
| setModified ( $dateTime=false)
Public Member Functions inherited from eZPersistentObject
| __construct ( $row=null)
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| store ( $fieldFilters=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
static | create ( $url)
static | removeByID ( $urlID)
static | registerURL ( $url)
static | registerURLArray ( $urlArray)
static | setIsValid ( $id, $isValid)
static | setLastChecked ( $id, $dateTime=false)
static | fetch ( $id, $asObject=true)
static | fetchListCount ( $parameters=array())
static | fetchList ( $parameters=array())
static | fetchByUrl ( $url, $asObject=true)
static | handleList ( $parameters=array(), $asCount=false)
static | url ( $id, $onlyValid=false)
static | urlByMD5 ( $urlMD5)
static | urlByURL ( $urlText)
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Public Attributes
| $URL
| $IsValid
| $OriginalURLMD5
| $LastChecked
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average

## Additional Inherited Members
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

A class which handles central storage of urls.

URLs can be stored using eZURL. When registering URL's to eZURL you will get a URL ID which is used to identify URLs.

Definition at line 22 of file ezurl.php.

## Member Function Documentation

## ◆ create()

static eZURL::create | ( |  | $url | ) |
| static

Definition at line 66 of file ezurl.php.

Referenced by registerURL(), registerURLArray(), and eZXMLTextType\unserializeContentObjectAttribute().

## ◆ definition()

static eZURL::definition | ( |  | ) |
| static

Returns the definition for the object, the default implementation is to return an empty array. It's upto each inheriting class to return a proper definition array.

The definition array is an associative array consists of these keys:

- fields: an associative array of fields which defines which database field (the key) is to fetched and how they map to object member variables (the value).
- keys: an array of fields which is used for uniquely identifying the object in the table.
- function_attributes: an associative array of attributes which maps to member functions, used for fetching data with functions.
- set_functions: an associative array of attributes which maps to member functions, used for setting data with functions.
- increment_key: the field which is incremented on table inserts.
- class_name: the classname which is used for instantiating new objecs when fetching from the database.
- sort: an associative array which defines the default sorting of lists, the key is the table field while the value is the sorting method which is either 'asc' or 'desc'.
- name: the name of the database table

Example: `public static function definition() { return array( "fields" => array( "id" => "ID", "version" => "Version", "name" => "Name" ), "keys" => array( "id", "version" ), "function_attributes" => array( "current" => "currentVersion", "class_name" => "className" ), "increment_key" => "id", "class_name" => "eZContentClass", "sort" => array( "id" => "asc" ), "name" => "ezcontentclass" ); }`

Returns
  array

Reimplemented from eZPersistentObject.

Definition at line 29 of file ezurl.php.

Referenced by fetch(), handleList(), removeByID(), setIsValid(), and setLastChecked().

## ◆ fetch()

static eZURL::fetch | ( |  | $id,
|  |  | $asObject = `true`
| ) |  |
| static

Returns
  the url object for id $id.

Definition at line 211 of file ezurl.php.

References definition(), and eZPersistentObject\fetchObject().

Referenced by eZURLObjectLink\fetchLinkList(), eZURLType\hasObjectAttributeContent(), eZURLType\serializeContentObjectAttribute(), eZXMLTextType\transformLinksToRemoteLinks(), and eZURLType\unserializeContentObjectAttribute().

## ◆ fetchByUrl()

static eZURL::fetchByUrl | ( |  | $url,
|  |  | $asObject = `true`
| ) |  |
| static

Fetches an URL object from an url string

Parameters

  string | $url |
  bool | $asObject |

Returns
  eZURL|null

Definition at line 240 of file ezurl.php.

Referenced by registerURL().

## ◆ fetchList()

static eZURL::fetchList | ( |  | $parameters = `array()` | ) |
| static

Returns
  all registered URLs.

Definition at line 229 of file ezurl.php.

References handleList().

## ◆ fetchListCount()

static eZURL::fetchListCount | ( |  | $parameters = `array()` | ) |
| static

Returns
  the number of registered URLs.

Definition at line 221 of file ezurl.php.

References handleList().

## ◆ handleList()

static eZURL::handleList | ( |  | $parameters = `array()`,
|  |  | $asCount = `false`
| ) |  |
| static

Returns
  all registered URLs.

Definition at line 250 of file ezurl.php.

References eZPersistentObject\count(), definition(), eZURLObjectLink\definition(), eZPersistentObject\fetchObjectList(), eZPersistentObject\getShortAttributeName(), eZDB\instance(), and eZContentObjectVersion\STATUS_PUBLISHED.

Referenced by fetchList(), and fetchListCount().

## ◆ registerURL()

static eZURL::registerURL | ( |  | $url | ) |
| static

Registers an URL to the URL database and returns the URL id. If URL is already present, the method will check the checksum and update the URL if needed

Parameters

  string | $url |

Returns
  int

Definition at line 96 of file ezurl.php.

References create(), and fetchByUrl().

Referenced by eZSimplifiedXMLInputParser\convertHrefToID(), eZURLType\fromString(), eZURLOperator\modify(), eZURLType\postStore(), eZSimplifiedXMLInputParser\publishHandlerObject(), eZURLType\storeObjectAttribute(), eZURLType\unserializeContentObjectAttribute(), and eZURLOperator\urlTransformation().

## ◆ registerURLArray()

static eZURL::registerURLArray | ( |  | $urlArray | ) |
| static

Registers an array of URLs to the URL database. A hash of array( url -> id ) is returned.

Definition at line 130 of file ezurl.php.

References create(), and eZDB\instance().

## ◆ removeByID()

static eZURL::removeByID | ( |  | $urlID | ) |
| static

Removes the URL with ID $urlID.

Definition at line 84 of file ezurl.php.

References definition(), and eZPersistentObject\removeObject().

Referenced by eZURLType\deleteStoredObjectAttribute(), and eZURLType\storeObjectAttribute().

## ◆ setIsValid()

static eZURL::setIsValid | ( |  | $id,
|  |  | $isValid
| ) |  |
| static

Updates the is_valid field of urls passed in $id.

Parameters

  $id | Can either be an array with ids or just one id value.

Definition at line 170 of file ezurl.php.

References definition(), and eZPersistentObject\updateObjectList().

## ◆ setLastChecked()

static eZURL::setLastChecked | ( |  | $id,
|  |  | $dateTime = `false`
| ) |  |
| static

Sets the last checked date to $dateTime or the current date if it's `false`.

Definition at line 197 of file ezurl.php.

References definition(), and eZPersistentObject\updateObjectList().

## ◆ setModified()

eZURL::setModified | ( |  | $dateTime = `false` | ) |

Sets the modification date to $dateTime or the current date if it's `false`.

Definition at line 184 of file ezurl.php.

## ◆ url()

static eZURL::url | ( |  | $id,
|  |  | $onlyValid = `false`
| ) |  |
| static

Returns the URL with the given ID. False is returned if the ID does not exits.

Definition at line 374 of file ezurl.php.

References eZPersistentObject\count(), and eZDB\instance().

Referenced by eZURLType\objectAttributeContent(), eZSimplifiedXMLEditOutput\outputObject(), and eZURLType\toString().

## ◆ urlByMD5()

static eZURL::urlByMD5 | ( |  | $urlMD5 | ) |
| static

Returns the URL with the given ID. False is returned if the ID does not exits.

Definition at line 406 of file ezurl.php.

References eZPersistentObject\count(), and eZDB\instance().

Referenced by eZURLOperator\modify(), and eZURLOperator\urlTransformation().

## ◆ urlByURL()

static eZURL::urlByURL | ( |  | $urlText | ) |
| static

Returns the URL with the given URL. Returns false if the URL does not exist.

Definition at line 426 of file ezurl.php.

References eZPersistentObject\count(), and eZDB\instance().

Referenced by eZXMLTextType\unserializeContentObjectAttribute().

## Member Data Documentation

## ◆ $IsValid

eZURL::$IsValid

Definition at line 25 of file ezurl.php.

## ◆ $LastChecked

eZURL::$LastChecked

Definition at line 27 of file ezurl.php.

## ◆ $OriginalURLMD5

eZURL::$OriginalURLMD5

Definition at line 26 of file ezurl.php.

## ◆ $URL

eZURL::$URL

Definition at line 24 of file ezurl.php.

The documentation for this class was generated from the following file:

- ezurl.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.